Loading...
Searching...
No Matches
Ogre::TexCoordModifierControllerValue Class Reference
Core » Animation

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TexCoordModifierControllerValue:
[legend]

## Public Member Functions

| TexCoordModifierControllerValue (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
float | getValue (void) const override
void | setValue (float value) override
Public Member Functions inherited from Ogre::ControllerValue< float >
virtual | ~ControllerValue ()

## Static Public Member Functions

static ControllerValueRealPtr | create (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
| Constructor.

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you want separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

## Constructor & Destructor Documentation

## TexCoordModifierControllerValue()

Ogre::TexCoordModifierControllerValue::TexCoordModifierControllerValue | ( | TextureUnitState * | t,
|  | bool | translateU = false,
|  | bool | translateV = false,
|  | bool | scaleU = false,
|  | bool | scaleV = false,
|  | bool | rotate = false )

Deprecated
  use create

## Member Function Documentation

## create()

ControllerValueRealPtr Ogre::TexCoordModifierControllerValue::create | ( | TextureUnitState * | t,
|  | bool | translateU = false,
|  | bool | translateV = false,
|  | bool | scaleU = false,
|  | bool | scaleV = false,
|  | bool | rotate = false )

inline static

Constructor.

Parameters

  t | TextureUnitState to apply the modification to.
  translateU | If true, the u coordinates will be translated by the modification.
  translateV | If true, the v coordinates will be translated by the modification.
  scaleU | If true, the u coordinates will be scaled by the modification.
  scaleV | If true, the v coordinates will be scaled by the modification.
  rotate | If true, the texture will be rotated by the modification.

## getValue()

float Ogre::TexCoordModifierControllerValue::getValue | ( | void |  | ) | const

override virtual

Implements Ogre::ControllerValue< float >.

## setValue()

void Ogre::TexCoordModifierControllerValue::setValue | ( | float | value | ) |

override virtual

Implements Ogre::ControllerValue< float >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h